mfsmetadirinfo(8)

NAME
mfsmetadirinfo - uses MooseFS metadata to calculate precise directory information (similar to mfsdirinfo)

SYNOPSIS
mfsmetadirinfo [-f J|C|C x] [-o outputfile] [-a sum_name] metadata_file PATH [PATH...]

DESCRIPTION
mfsmetadirinfo is a tool that can be used to calculate precise directory information such as number of inodes, number of chunks, total length of all files, size, real size etc. Output can be generated as plain text, CSV or JSON. Data for calculations is read from indicated metadata.mfs mfs master metadata file and is calculated for directory(ies) specified by PATH parameter(s) - relative in mfs instance. Default output is human-readable plain text, JSON or CSV can be selected using options.

Options:

-f  switch output format to JSON (J) or CSV (C); for CSV, if only C is specified, default separator will be used (comma), if second character is specified, this character will be used as the separator in CSV data

-o  write output to outputfile instead of stdout

-a  optional parameter that indicates the tool should calculate the information for all supplied paths together (a sum), this calculation is indicated by sum_name in output data

metadata_file
    path to metadata.mfs file

OUTPUT FIELDS
For each PATH and, if defined, for sum_name, following information will be indicated:

inodes
    number of all unique inodes (file system objects)

files
    number of all unique files

dirs
    number of all unique directories

chunks
    number of all unique chunks

kchunks
    number of all unique chunks using KEEP policy

achunks
    number of all unique chunks using ARCH policy

length
    total length of all unique files

size
    total size of all unique chunks

rsize
    total real size of all unique chunks (number of copies taken into account)

ksize
    hypothetical real size of all unique chunks if all were using KEEP policy

asize
    hypothetical real size of all unique chunks if all were using ARCH policy

REPORTING BUGS
Report bugs to <bugs@moosefs.com>.

COPYRIGHT
Copyright (C) 2025 Jakub Kruszona-Zawadzki, Saglabs SA

This file is part of MooseFS.

MooseFS is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2 (only).

MooseFS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with MooseFS; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02111-1301, USA or visit http://www.gnu.org/licenses/gpl-2.0.html

SEE ALSO
mfsmaster(8), mfsmetadump(8), mfsdirinfo(1)